vendredi 13 décembre 2019    || Inscription
BanniereAlertes
 
 

Notre sélection d'alertes et avis SSI.
Sources : US Cert, Cert EU, Cert FR, Cnil, VulDB.

jeudi 21 février 2019

PHP up to 5.6.39/7.1.25/7.2.13/7.3.0 xml_element.c xml_elem_parse_buf memory corruption

A vulnerability was found in PHP up to 5.6.39/7.1.25/7.2.13/7.3.0 (Programming Language Software). It has been classified as critical. This affects the function xml_elem_parse_buf in the library ext/xmlrpc/libxmlrpc/xml_element.c. The manipulation with an unknown input leads to a memory corruption vulnerability (Out-of-Bounds). CWE is classifying the issue as CWE-119. This is going to have an impact on confidentiality, integrity, and availability.

The weakness was shared 02/22/2019. This vulnerability is uniquely identified as CVE-2019-9020 since 02/22/2019. It is possible to initiate the attack remotely. No form of authentication is needed for exploitation. Technical details are known, but no exploit is available. The price for an exploit might be around USD $0-$5k at the moment (estimation calculated on 02/23/2019).

Upgrading to version 5.6.40, 7.1.26, 7.2.14 or 7.3.1 eliminates this vulnerability.

The issues 131110, 131111, 131112 and 131113 are related to this entry.

CPE

CVSSv3

VulDB Meta Base Score: 7.3
VulDB Meta Temp Score: 7.0

VulDB Base Score: 7.3
VulDB Temp Score: 7.0
VulDB Vector: 🔒
VulDB Reliability: 🔍

CVSSv2

VulDB Base Score: 🔒
VulDB Temp Score: 🔒
VulDB Reliability: 🔍

Exploiting

Class: Memory corruption / Out-of-Bounds (CWE-119)
Local: No
Remote: Yes

Availability: 🔒
Status: Not defined

Price Prediction: 🔍
Current Price Estimation: 🔒

Threat Intelligence

Threat: 🔍
Adversaries: 🔍
Geopolitics: 🔍
Economy: 🔍
Predictions: 🔍
Actions: 🔍

Countermeasures

Recommended: Upgrade
Status: 🔍
0-Day Time: 🔒

Upgrade: PHP 5.6.40/7.1.26/7.2.14/7.3.1

Timeline

02/22/2019 Advisory disclosed
02/22/2019 CVE assigned
02/23/2019 VulDB entry created
02/23/2019 VulDB last update

Sources

CVE: CVE-2019-9020 (🔒)
See also: 🔒

Entry

Created: 02/23/2019
Complete: 🔍

Lien vers l'article source

Auteur: VulDB

Catégories: VulDBNombre de vues: 150

x

Événements SSI

FIC

Ayant pour thème cette année "Replacer l'humain au coeur de la cybersécurité", le Forum International de la Cybersécurité occupe les 28, 29 et 30 janvier 2020 le Grand Palais de Lille. Organisé par la Région Hauts-de-France et Euratechnologies, la Gendarmerie Nationale et CEIS.

RSS